Subject: Re: Unix pathname -> DOS pathname
From: [email-masked] (Anders Norlander)

25 Sep 1998 03:37:13 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Tony Pires wrote:
> 
> You will need to write some code to get the mount points from the registry
> in order to perform the magic. Can you code?

There actually seems to be a much better way to accomplish
Unix -> dos path conversion.
According to the FAQ there are some intersting functions:
	cygwin32_conv_to_full_posix_path 
	cygwin32_conv_to_full_win32_path 
        cygwin32_conv_to_posix_path 
        cygwin32_conv_to_win32_path 
        cygwin32_posix_path_list_p 
        cygwin32_posix_to_win32_path_list 
        cygwin32_posix_to_win32_path_list_buf_size 
        cygwin32_split_path 
        cygwin32_win32_to_posix_path_list 
        cygwin32_win32_to_posix_path_list_buf_size 

I don't know the prototypes for these functions, but if
I call cygwin32_conv_to_win32_path with the unix path
as the first argument and a buffer to hold the converted
path as the second argument I get the win32 path.
By looking at the source it would be possible to get the
exact prototypes. The developers ought to know about this.

/Anders
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".